﻿using System.Windows;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.DataPresenter.Events;

namespace MultiColumnXamComboBox
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new MainViewModel();
        }

        private void DataPresenterBase_OnFieldLayoutInitialized(object sender, FieldLayoutInitializedEventArgs e)
        {

            e.FieldLayout.Fields["Status"].Settings.EditorStyle = Resources["VGStatusCodesStyle"] as Style;
            e.FieldLayout.Fields["Status"].Width = new FieldLength(60);
        }
    }
}
